| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IAIDATupleSvc Class Referenceabstract

Definition of the IAIDATupleSvc interface class. More...

`#include <GaudiKernel/IAIDATupleSvc.h>`

Inheritance diagram for IAIDATupleSvc:
[legend]
Collaboration diagram for IAIDATupleSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IAIDATupleSvc, 3, 0)
| InterfaceID. More...
virtual AIDA::ITuple * | book (const std::string &fullPath, const std::string &title, const std::string &columns)=0
virtual StatusCode | registerObject (const std::string &dirPath, const std::string &objPath, AIDA::ITuple *tObj)=0
virtual StatusCode | registerObject (DataObject *pParent, const std::string &objPath, AIDA::ITuple *tObj)=0
virtual StatusCode | unregisterObject (AIDA::ITuple *tObj)=0
virtual StatusCode | unregisterObject (AIDA::ITuple *tObj, const std::string &objectPath)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::ITuple *&tObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::ITuple *&tObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::ITuple *&tObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::ITuple *&tObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::ITuple *&tObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::ITuple *&tObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::ITuple *&tObj)=0
virtual void | setCriteria (AIDA::ITuple *&tObj, const std::string &criteria)=0
| Set criteria for reading, filtering the input. More...
virtual DataObject * | createPath (const std::string &newPath)=0
virtual DataObject * | createDirectory (const std::string &parentDir, const std::string &subDir)=0
virtual StatusCode | myTest ()=0
Public Member Functions inherited from IDataProviderSvc
| DeclareInterfaceID (IDataProviderSvc, 3, 0)
| InterfaceID. More...
virtual StatusCode | registerObject (const std::string &fullPath, DataObject *pObject)=0
| Register object with the data store. More...
virtual StatusCode | registerObject (const std::string &parentPath, const std::string &objectPath, DataObject *pObject)=0
| Register object with the data store. More...
virtual StatusCode | registerObject (const std::string &parentPath, int item, DataObject *pObject)=0
| Register object with the data store. More...
virtual StatusCode | registerObject (DataObject *parentObj, const std::string &objectPath, DataObject *pObject)=0
| Register object with the data store. More...
virtual StatusCode | registerObject (DataObject *parentObj, int item, DataObject *pObject)=0
| Register object with the data store. More...
virtual StatusCode | unregisterObject (const std::string &fullPath)=0
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (const std::string &parentPath, const std::string &objPath)=0
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (const std::string &parentPath, int item)=0
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (DataObject *pObject)=0
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (DataObject *pParent, const std::string &objPath)=0
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (DataObject *pParent, int item)=0
| Unregister object from the data store. More...
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, DataObject *&pObject)=0
| Retrieve object identified by its directory entry. More...
virtual StatusCode | retrieveObject (const std::string &fullPath, DataObject *&pObject)=0
| Retrieve object identified by its full path from the data store. More...
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objectPath, DataObject *&pObject)=0
| Retrieve object from data store. More...
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, DataObject *&pObject)=0
| Retrieve object from data store. More...
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objectPath, DataObject *&pObject)=0
| Retrieve object from data store. More...
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, DataObject *&pObject)=0
| Retrieve object from data store. More...
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, DataObject *&pObject)=0
| Find object identified by its directory entry. More...
virtual StatusCode | findObject (const std::string &fullPath, DataObject *&pObject)=0
| Find object identified by its full path in the data store. More...
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objectPath, DataObject *&pObject)=0
| Find object identified by its parent object and the path to the object relative to the parent. More...
virtual StatusCode | findObject (const std::string &parentPath, int item, DataObject *&pObject)=0
| Find object identified by its parent object and an integer identifier in the data store. More...
virtual StatusCode | findObject (DataObject *pNode, const std::string &objectPath, DataObject *&pObject)=0
| Find object identified by its parent object and the path to the object relative to the parent. More...
virtual StatusCode | findObject (DataObject *parentObj, int item, DataObject *&pObject)=0
| Find object identified by its parent object and an integer identifier in the data store. More...
virtual StatusCode | updateObject (IRegistry *pDirectory)=0
| Update object identified by its directory entry. More...
virtual StatusCode | updateObject (const std::string &fullPath)=0
| Update object identified by its full path in the data store. More...
virtual StatusCode | updateObject (DataObject *toUpdate)=0
| Update object identified by its pointer. More...
virtual StatusCode | updateObject (const std::string &parentPath, const std::string &updatePath)=0
| Update object identified by its parent's path and the path relative to the parent. More...
virtual StatusCode | updateObject (DataObject *pParent, const std::string &updatePath)=0
| Update object identified by its parent's pointer and the path relative to the parent. More...
virtual StatusCode | addPreLoadItem (const DataStoreItem &item)=0
| Add an item to the preload list. More...
virtual StatusCode | addPreLoadItem (const std::string &itemPath)=0
| Add an item to the preload list. More...
virtual StatusCode | removePreLoadItem (const DataStoreItem &item)=0
| Remove an item from the preload list. More...
virtual StatusCode | removePreLoadItem (const std::string &itemPath)=0
| Remove an item from the preload list. More...
virtual StatusCode | resetPreLoad ()=0
| Clear the preload list. More...
virtual StatusCode | preLoad ()=0
| Load all preload items of the list. More...
virtual StatusCode | linkObject (IRegistry *from, const std::string &objPath, DataObject *toObj)=0
| Add a link to another object. More...
virtual StatusCode | linkObject (const std::string &fromPath, const std::string &objPath, DataObject *toObj)=0
| Add a link to another object. More...
virtual StatusCode | linkObject (DataObject *fromObj, const std::string &objPath, DataObject *toObj)=0
| Add a link to another object. More...
virtual StatusCode | linkObject (const std::string &fullPath, DataObject *toObj)=0
| Add a link to another object. More...
virtual StatusCode | unlinkObject (IRegistry *from, const std::string &objPath)=0
| Remove a link to another object. More...
virtual StatusCode | unlinkObject (const std::string &fromPath, const std::string &objPath)=0
| Remove a link to another object. More...
virtual StatusCode | unlinkObject (DataObject *fromObj, const std::string &objPath)=0
| Remove a link to another object. More...
virtual StatusCode | unlinkObject (const std::string &fullPath)=0
| Remove a link to another object. More...
| ~IDataProviderSvc () override=default
| virtual destructor More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IDataProviderSvc
enum | { SEPARATOR = '/' }
enum | Status { IDataProviderSvc_NO_ERROR = 1, DOUBL_OBJ_PATH, INVALID_OBJ_PATH, INVALID_ROOT, INVALID_OBJECT, INVALID_PARENT, OBJ_NOT_LOADED, NO_DATA_LOADER, INVALID_OBJ_ADDR, DIR_NOT_EMPTY, NO_MORE_LEVELS, NO_ACCESS, LAST }
| Status code definitions. More...
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Definition of the IAIDATupleSvc interface class.

Author
  Manuel Domenech Saavedra

Date
  2005-05-23

Definition at line 28 of file IAIDATupleSvc.h.

## Member Function Documentation

virtual AIDA::ITuple* IAIDATupleSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | const std::string & | columns
| ) |  |
| pure virtual

virtual DataObject* IAIDATupleSvc::createDirectory | ( | const std::string & | parentDir,
|  | const std::string & | subDir
| ) |  |
| pure virtual

virtual DataObject* IAIDATupleSvc::createPath | ( | const std::string & | newPath | ) |
| pure virtual

IAIDATupleSvc::DeclareInterfaceID | ( | IAIDATupleSvc | ,
|  | 3 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IAIDATupleSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::ITuple *& | tObj
| ) |  |
| pure virtual

virtual StatusCode IAIDATupleSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::ITuple *& | tObj
| ) |  |
| pure virtual

virtual StatusCode IAIDATupleSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::ITuple *& | tObj
| ) |  |
| pure virtual

virtual StatusCode IAIDATupleSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::ITuple *& | tObj
| ) |  |
| pure virtual

virtual StatusCode IAIDATupleSvc::myTest | ( |  | ) |
| pure virtual

virtual StatusCode IAIDATupleSvc::registerObject | ( | const std::string & | dirPath,
|  | const std::string & | objPath,
|  | AIDA::ITuple * | tObj
| ) |  |
| pure virtual

virtual StatusCode IAIDATupleSvc::registerObject | ( | DataObject * | pParent,
|  | const std::string & | objPath,
|  | AIDA::ITuple * | tObj
| ) |  |
| pure virtual

virtual StatusCode IAIDATupleSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::ITuple *& | tObj
| ) |  |
| pure virtual

virtual StatusCode IAIDATupleSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::ITuple *& | tObj
| ) |  |
| pure virtual

virtual StatusCode IAIDATupleSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::ITuple *& | tObj
| ) |  |
| pure virtual

virtual void IAIDATupleSvc::setCriteria | ( | AIDA::ITuple *& | tObj,
|  | const std::string & | criteria
| ) |  |
| pure virtual

Set criteria for reading, filtering the input.

virtual StatusCode IAIDATupleSvc::unregisterObject | ( | AIDA::ITuple * | tObj | ) |
| pure virtual

virtual StatusCode IAIDATupleSvc::unregisterObject | ( | AIDA::ITuple * | tObj,
|  | const std::string & | objectPath
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IAIDATupleSvc.h